moeoHybridLS(3)

NAME
moeoHybridLS - This class allows to apply a multi-objective local search to a number of selected individuals contained in the archive at every generation until a stopping criteria is verified.

SYNOPSIS

#include <moeoHybridLS.h>

Inherits eoUpdater.

  Public Member Functions
moeoHybridLS (eoContinue< MOEOT > &_term, eoSelect< MOEOT > &_select, moeoLS< MOEOT, MOEOT > &_mols, moeoArchive< MOEOT > &_arch)
Ctor.
void operator() ()
Applies the multi-objective local search to selected individuals contained in the archive if the stopping criteria is not verified.

  Private Attributes
eoContinue< MOEOT > & term
stopping criteria
eoSelect< MOEOT > & select
selector
moeoLS< MOEOT, MOEOT > & mols
multi-objective local search
moeoArchive< MOEOT > & arch
archive

Detailed Description

  template<class MOEOT> class moeoHybridLS< MOEOT >
This class allows to apply a multi-objective local search to a number of selected individuals contained in the archive at every generation until a stopping criteria is verified.

Definition at line 28 of file moeoHybridLS.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoHybridLS< MOEOT >::moeoHybridLS (eoContinue< MOEOT > & _term, eoSelect< MOEOT > & _select, moeoLS< MOEOT, MOEOT > & _mols, moeoArchive< MOEOT > & _arch) [inline]

Ctor.

Parameters:
    _term stopping criteria
    _select selector
    _mols a multi-objective local search
    _arch the archive

Definition at line 39 of file moeoHybridLS.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.